printer_delete_pen
printer_draw_chord
Printer Functions
PHP Manual

# printer_draw_bmp

Draw a bmp

### Description

bool printer_draw_bmp ( resource `$printer_handle` , string `$filename` , int `$x` , int `$y` [, int `$width` ], int `$height` )

The function draws an bmp.

### Parameters

`printer_handle`

  `printer_handle` must be a valid printer handle.

`filename`

  Path to the bitmap.

`x`

  `x` is the upper left x coordinate of the bitmap.

`y`

  `y` is the upper left y coordinate of the bitmap.

`width`

  The bitmap width.

`height`

  The bitmap height.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 printer_draw_bmp example

`<?php
$handle = printer_open();
printer_start_doc($handle, "My Document");
printer_start_page($handle);
printer_draw_bmp($handle, "c:\\image.bmp", 1, 1);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`